Modify

Opened 7 years ago

Closed 6 years ago

Last modified 6 years ago

#7986 closed defect (fixed)

undeleting a way produces ways without nodes

Reported by: Cobra Owned by: team
Priority: blocker Milestone:
Component: Plugin undelete Version:
Keywords: zero nodes Cc: Nakaner, rickmastfan67

Description

When undeleting a deleted way, the undelete plugin restores the deleted way nodes and the way, but doesn't add the nodes to the way, resulting in a way without nodes.

This makes the whole plugin quite useless.

Attachments (0)

Change History (14)

comment:1 Changed 7 years ago by Don-vip

Works for me with version 28501. What's yours ?

comment:2 Changed 7 years ago by Don-vip

Could you give me your way id ? Or attach your .osm file ? Thanks.

comment:3 Changed 7 years ago by stoecker

Owner: changed from team to Cobra
Status: newneedinfo

comment:4 Changed 7 years ago by Cobra

Try way 167442827 (in the main db).

Other ways are working fine.

Info for this way after undeleting it:

Way: 167442827
  State: modified
  Data Set: 57bf5ee7
  Edited at: <new object>
  Edited by: Cobra (67540)
  Version: 5
  In changeset: 0
  Tags: 
    "history"="retrieved using undelete JOSM plugin"
    "building"="yes"
  Bounding box: ∞, ∞, -∞, -∞
  0 Nodes:

Version stuff:

Build-Date: 2012-08-21 10:50:43
Revision: 5467
Is-Local-Build: true

Identification: JOSM/1.5 (5467 SVN en)
Memory Usage: 354 MB / 3640 MB (247 MB allocated, but free)
Java version: 1.6.0_33, Sun Microsystems Inc., Java HotSpot(TM) 64-Bit Server VM
Operating system: Linux

Dataset consistency test:
[WARN - ZERO NODES] Way {Way id=167442827 version=5 MVT nodes=[]} has zero nodes

<snip>
Plugin: undelete (28501)

comment:5 Changed 7 years ago by Don-vip

Owner: changed from Cobra to team
Status: needinfonew

OK thanks.

comment:7 Changed 7 years ago by anonymous

Ticket #8137 has been marked as a duplicate of this ticket.

comment:8 Changed 7 years ago by anonymous

Ticket #8195 has been marked as a duplicate of this ticket.

comment:9 Changed 7 years ago by skyper

Cc: Nakaner rickmastfan67 added
Keywords: zero nodes added

comment:10 Changed 6 years ago by rickmastfan67

Here's a current crash log from my ticket (#8137):

Repository Root: http://josm.openstreetmap.de/svn
Build-Date: 2013-04-04 01:34:37
Last Changed Author: Don-vip
Revision: 5824
Repository UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
URL: http://josm.openstreetmap.de/svn/trunk
Last Changed Date: 2013-04-03 22:34:42 +0200 (Wed, 03 Apr 2013)
Last Changed Rev: 5824

Identification: JOSM/1.5 (5824 en) Windows 7
Memory Usage: 218 MB / 2730 MB (107 MB allocated, but free)
Java version: 1.7.0_15, Oracle Corporation, Java HotSpot(TM) 64-Bit Server VM
Operating system: Windows 7

Dataset consistency test:
[WARN - ZERO NODES] Way {Way id=30285906 version=8 MVT> nodes=[]} has zero nodes
[WARN - ZERO NODES] Way {Way id=30285921 version=7 MVT> nodes=[]} has zero nodes


Plugin: ImageryCache (29368)
Plugin: OpeningHoursEditor (29210)
Plugin: buildings_tools (29210)
Plugin: mapdust (29210)
Plugin: measurement (29344)
Plugin: mirrored_download (29210)
Plugin: openstreetbugs (29373)
Plugin: osmarender (29210)
Plugin: reverter (29359)
Plugin: turnrestrictions (29210)
Plugin: undelete (29210)
Plugin: utilsplugin2 (29392)

java.lang.NullPointerException
	at org.openstreetmap.josm.data.validation.tests.WayConnectedToArea.visit(WayConnectedToArea.java:29)
	at org.openstreetmap.josm.data.osm.Way.visit(Way.java:198)
	at org.openstreetmap.josm.data.validation.Test.visit(Test.java:144)
	at org.openstreetmap.josm.actions.upload.ValidateUploadHook.checkUpload(ValidateUploadHook.java:61)
	at org.openstreetmap.josm.actions.UploadAction.checkPreUploadConditions(UploadAction.java:197)
	at org.openstreetmap.josm.actions.UploadAction.uploadData(UploadAction.java:220)
	at org.openstreetmap.josm.actions.UploadAction.actionPerformed(UploadAction.java:268)
	at javax.swing.AbstractButton.fireActionPerformed(Unknown Source)
	at javax.swing.AbstractButton$Handler.actionPerformed(Unknown Source)
	at javax.swing.DefaultButtonModel.fireActionPerformed(Unknown Source)
	at javax.swing.DefaultButtonModel.setPressed(Unknown Source)
	at javax.swing.AbstractButton.doClick(Unknown Source)
	at javax.swing.plaf.basic.BasicMenuItemUI.doClick(Unknown Source)
	at javax.swing.plaf.basic.BasicMenuItemUI$Handler.mouseReleased(Unknown Source)
	at java.awt.AWTEventMulticaster.mouseReleased(Unknown Source)
	at java.awt.Component.processMouseEvent(Unknown Source)
	at javax.swing.JComponent.processMouseEvent(Unknown Source)
	at java.awt.Component.processEvent(Unknown Source)
	at java.awt.Container.processEvent(Unknown Source)
	at java.awt.Component.dispatchEventImpl(Unknown Source)
	at java.awt.Container.dispatchEventImpl(Unknown Source)
	at java.awt.Component.dispatchEvent(Unknown Source)
	at java.awt.LightweightDispatcher.retargetMouseEvent(Unknown Source)
	at java.awt.LightweightDispatcher.processMouseEvent(Unknown Source)
	at java.awt.LightweightDispatcher.dispatchEvent(Unknown Source)
	at java.awt.Container.dispatchEventImpl(Unknown Source)
	at java.awt.Window.dispatchEventImpl(Unknown Source)
	at java.awt.Component.dispatchEvent(Unknown Source)
	at java.awt.EventQueue.dispatchEventImpl(Unknown Source)
	at java.awt.EventQueue.access$200(Unknown Source)
	at java.awt.EventQueue$3.run(Unknown Source)
	at java.awt.EventQueue$3.run(Unknown Source)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.security.ProtectionDomain$1.doIntersectionPrivilege(Unknown Source)
	at java.security.ProtectionDomain$1.doIntersectionPrivilege(Unknown Source)
	at java.awt.EventQueue$4.run(Unknown Source)
	at java.awt.EventQueue$4.run(Unknown Source)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.security.ProtectionDomain$1.doIntersectionPrivilege(Unknown Source)
	at java.awt.EventQueue.dispatchEvent(Unknown Source)
	at java.awt.EventDispatchThread.pumpOneEventForFilters(Unknown Source)
	at java.awt.EventDispatchThread.pumpEventsForFilter(Unknown Source)
	at java.awt.EventDispatchThread.pumpEventsForHierarchy(Unknown Source)
	at java.awt.EventDispatchThread.pumpEvents(Unknown Source)
	at java.awt.EventDispatchThread.pumpEvents(Unknown Source)
	at java.awt.EventDispatchThread.run(Unknown Source)

comment:11 Changed 6 years ago by Don-vip

Resolution: fixed
Status: newclosed

Fixed in [o29538].

comment:12 Changed 6 years ago by rickmastfan67

Thank you for fixing this. :) At least the plugin now doesn't create "0" node ways. :D Too bad you still can't upload the undeleted ways/nodes (See #8637).

comment:13 Changed 6 years ago by Don-vip

One thing at a time :)

comment:14 in reply to:  13 Changed 6 years ago by rickmastfan67

Replying to Don-vip:

One thing at a time :)

I know. :) That's why it's a separate ticket. ;)

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain team.
as The resolution will be set.
The resolution will be deleted.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.